# Delete a webhook endpoint

You can also delete webhook endpoints via the [webhook endpoint management](https://dashboard.stripe.com/account/webhooks) page of the Stripe dashboard.

## Prerequisites

Before you can run the following code snippet, you need to call these APIs with the provided parameters to set up the prerequisite API object(s).

1. createWebhookEndpoint
POST /v1/webhook_endpoints {"enabled_events":["charge.succeeded","charge.failed"],"url":"https://example.com/my/webhook/endpoint"}

## Request

```curl
curl -X DELETE https://api.stripe.com/v1/webhook_endpoints/{{WEBHOOK_ENDPOINT_ID}} \
  -u "<<YOUR_SECRET_KEY>>"
```

### Response

```json
{
  "id": "we_1Mr5jULkdIwHu7ix1ibLTM0x",
  "object": "webhook_endpoint",
  "deleted": true
}
```

## Returns

An object with the deleted webhook endpoints’s ID. Otherwise, this call raises [an error](https://docs.stripe.com/api/webhook_endpoints/delete.md#errors), such as if the webhook endpoint has already been deleted.
